IRremoteESP8266

Public Attributes | List of all members
ElectraProtocol Union Reference

Native representation of a Electra A/C message. More...

`#include <ir_Electra.h>`

## Public Attributes
uint8_t | raw [kElectraAcStateLength]
| The state of the IR remote. More...
struct {
uint8_t __pad0__:8
uint8_t SwingV:3
uint8_t Temp:5
uint8_t __pad1__:5
uint8_t SwingH:3
uint8_t __pad2__:6
uint8_t SensorUpdate:1
uint8_t __pad3__:1
uint8_t __pad4__:5
uint8_t Fan:3
uint8_t __pad5__:6
uint8_t Turbo:1
uint8_t __pad6__:1
uint8_t __pad7__:3
uint8_t IFeel:1
uint8_t __pad8__:1
uint8_t Mode:3
uint8_t SensorTemp:8
uint8_t __pad9__:8
uint8_t __pad10__:2
uint8_t Clean:1
uint8_t __pad11__:2
uint8_t Power:1
uint8_t __pad12__:2
uint8_t __pad13__:8
uint8_t LightToggle:8
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Electra A/C message.

## Member Data Documentation

## ◆ @45

struct { ... }

## ◆ __pad0__

uint8_t ElectraProtocol::__pad0__

## ◆ __pad10__

uint8_t ElectraProtocol::__pad10__

## ◆ __pad11__

uint8_t ElectraProtocol::__pad11__

## ◆ __pad12__

uint8_t ElectraProtocol::__pad12__

## ◆ __pad13__

uint8_t ElectraProtocol::__pad13__

## ◆ __pad1__

uint8_t ElectraProtocol::__pad1__

## ◆ __pad2__

uint8_t ElectraProtocol::__pad2__

## ◆ __pad3__

uint8_t ElectraProtocol::__pad3__

## ◆ __pad4__

uint8_t ElectraProtocol::__pad4__

## ◆ __pad5__

uint8_t ElectraProtocol::__pad5__

## ◆ __pad6__

uint8_t ElectraProtocol::__pad6__

## ◆ __pad7__

uint8_t ElectraProtocol::__pad7__

## ◆ __pad8__

uint8_t ElectraProtocol::__pad8__

## ◆ __pad9__

uint8_t ElectraProtocol::__pad9__

## ◆ Clean

uint8_t ElectraProtocol::Clean

## ◆ Fan

uint8_t ElectraProtocol::Fan

## ◆ IFeel

uint8_t ElectraProtocol::IFeel

## ◆ LightToggle

uint8_t ElectraProtocol::LightToggle

## ◆ Mode

uint8_t ElectraProtocol::Mode

## ◆ Power

uint8_t ElectraProtocol::Power

## ◆ raw

uint8_t ElectraProtocol::raw[kElectraAcStateLength]

The state of the IR remote.

## ◆ SensorTemp

uint8_t ElectraProtocol::SensorTemp

## ◆ SensorUpdate

uint8_t ElectraProtocol::SensorUpdate

## ◆ Sum

uint8_t ElectraProtocol::Sum

## ◆ SwingH

uint8_t ElectraProtocol::SwingH

## ◆ SwingV

uint8_t ElectraProtocol::SwingV

## ◆ Temp

uint8_t ElectraProtocol::Temp

## ◆ Turbo

uint8_t ElectraProtocol::Turbo

The documentation for this union was generated from the following file:

- src/ir_Electra.h